* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  font-family: Arial, tahoma, verdana, sans-serif;
}

body {
  /*background: #fcfdfc url(https://itinerae.neocities.org/bgs/lightgrid.gif);*/
  display: grid;
  min-height: 100vh;
  gap: 10px;

  background-color: var(--main-bg-colour);
  padding: 20px;
  font-size: 11px;
  color: var(--body-text);
  letter-spacing: 1px;
  line-height: 1.2;

  max-width: 1200px;
  margin: 0 auto;
  overflow: hidden;
}

a { color: var(--link-text); text-decoration: underline; }
a:hover { color: var(--link-hover); }

.loginBox {
  display: grid;
  justify-self: center;
  align-self: center;
  gap: 10px;
  padding: 20px;
  background: var(--box-bg-colour);
  
  box-shadow: inset var(--box-border-pixel-size) var(--box-border-pixel-size) #fff, var(--box-border-pixel-size) var(--box-border-pixel-size) #000; ;
}

.buttonBox {
  display: grid;
  justify-self: center;
  align-self: center;
  margin: 5px;
}



.buttonBox a {
  display:flex;
  padding: 3px 5px;
  margin: 2px 0;
  gap: 5px;
  text-align: center;
  color: var(--link-text);
  background: var(--box-bg-colour);
  border-radius: 2px;
  transition: 0.4s ease;
  font: italic 13px georgia, serif;

  box-shadow: inset var(--box-border-pixel-size) var(--box-border-pixel-size) var(--box-border-colour-light), var(--box-border-pixel-size) var(--box-border-pixel-size) var(--box-border-colour-dark) ;
}

.buttonBox a:hover {
  color: var(--link-hover);
  background: var(--box-bg-colour);
  transform: translateX(2px);
}